summaryrefslogtreecommitdiffstats
path: root/development/tkcvs
diff options
context:
space:
mode:
Diffstat (limited to 'development/tkcvs')
-rw-r--r--development/tkcvs/README6
-rw-r--r--development/tkcvs/doinst.sh4
-rw-r--r--development/tkcvs/slack-desc19
-rwxr-xr-xdevelopment/tkcvs/tkcvs.SlackBuild75
-rw-r--r--development/tkcvs/tkcvs.desktop11
-rw-r--r--development/tkcvs/tkcvs.info10
-rw-r--r--development/tkcvs/tkcvs.pngbin0 -> 385 bytes
-rw-r--r--development/tkcvs/tkdiff.182
-rw-r--r--development/tkcvs/tkdiff.desktop11
-rw-r--r--development/tkcvs/tkdiff.pngbin0 -> 285 bytes
10 files changed, 218 insertions, 0 deletions
diff --git a/development/tkcvs/README b/development/tkcvs/README
new file mode 100644
index 0000000000..9b43dca580
--- /dev/null
+++ b/development/tkcvs/README
@@ -0,0 +1,6 @@
+TkCVS is a Tcl/Tk-based graphical interface to the CVS and
+Subversion configuration management systems. It displays the status of
+the files in the current working directory, and provides buttons and
+menus to execute configuration-management commands on the selected
+files. Limited RCS functionality is also present. TkDiff is bundled
+in for browsing and merging your changes.
diff --git a/development/tkcvs/doinst.sh b/development/tkcvs/doinst.sh
new file mode 100644
index 0000000000..5785882996
--- /dev/null
+++ b/development/tkcvs/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
+fi
+
diff --git a/development/tkcvs/slack-desc b/development/tkcvs/slack-desc
new file mode 100644
index 0000000000..78ad969497
--- /dev/null
+++ b/development/tkcvs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tkcvs: tkcvs (Tcl/Tk Graphical Interface to CVS and Subversion)
+tkcvs:
+tkcvs: TkCVS is a Tcl/Tk-based graphical interface to the CVS and
+tkcvs: Subversion configuration management systems. It displays the status of
+tkcvs: the files in the current working directory, and provides buttons and
+tkcvs: menus to execute configuration-management commands on the selected
+tkcvs: files. Limited RCS functionality is also present. TkDiff is bundled
+tkcvs: in for browsing and merging your changes.
+tkcvs:
+tkcvs:
+tkcvs:
diff --git a/development/tkcvs/tkcvs.SlackBuild b/development/tkcvs/tkcvs.SlackBuild
new file mode 100755
index 0000000000..1de64e5f10
--- /dev/null
+++ b/development/tkcvs/tkcvs.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for tkcvs
+
+# Copyright 2007-2010 Ferenc Deak <ferenc.deak@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Slightly modified by the SlackBuilds project
+
+PRGNAM=tkcvs
+VERSION=8.2.1
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCVERSION=$(echo $VERSION | tr . _)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_$SRCVERSION
+tar xzf $CWD/${PRGNAM}_$SRCVERSION.tar.gz
+cd ${PRGNAM}_$SRCVERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./doinstall.tcl -nox $PKG/usr
+
+cp $CWD/tkdiff.1 $PKG/usr/man/man1
+gzip -9 $PKG/usr/man/man1/tkdiff.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a FAQ COPYING CHANGELOG $PKG/usr/doc/$PRGNAM-$VERSION
+cp tkdiff/Changelog $PKG/usr/doc/$PRGNAM-$VERSION/Changelog.tkdiff
+cp tkdiff/COPYING $PKG/usr/doc/$PRGNAM-$VERSION/COPYING.tkdiff
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/tkcvs.desktop > $PKG/usr/share/applications/tkcvs.desktop
+cat $CWD/tkdiff.desktop > $PKG/usr/share/applications/tkdiff.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/tkcvs.png $PKG/usr/share/pixmaps
+cp $CWD/tkdiff.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/tkcvs/tkcvs.desktop b/development/tkcvs/tkcvs.desktop
new file mode 100644
index 0000000000..2c357c9706
--- /dev/null
+++ b/development/tkcvs/tkcvs.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=tkcvs
+Comment=Graphical Interface to CVS and Subversion
+Exec=tkcvs
+TryExec=tkcvs
+Icon=tkcvs.png
+Terminal=false
+Type=Application
+Categories=Application;Development;
+StartupNotify=false
+Encoding=UTF-8
diff --git a/development/tkcvs/tkcvs.info b/development/tkcvs/tkcvs.info
new file mode 100644
index 0000000000..86cbddafb5
--- /dev/null
+++ b/development/tkcvs/tkcvs.info
@@ -0,0 +1,10 @@
+PRGNAM="tkcvs"
+VERSION="8.2.1"
+HOMEPAGE="http://www.twobarleycorns.net/tkcvs.html"
+DOWNLOAD="http://www.twobarleycorns.net/tkcvs_8_2_1.tar.gz"
+MD5SUM="7bbe24d80ebd7f0504a5b36e92541f43"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ferenc Deak"
+EMAIL="ferenc.deak@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/development/tkcvs/tkcvs.png b/development/tkcvs/tkcvs.png
new file mode 100644
index 0000000000..9b43f2601f
--- /dev/null
+++ b/development/tkcvs/tkcvs.png
Binary files differ
diff --git a/development/tkcvs/tkdiff.1 b/development/tkcvs/tkdiff.1
new file mode 100644
index 0000000000..59b852e8dc
--- /dev/null
+++ b/development/tkcvs/tkdiff.1
@@ -0,0 +1,82 @@
+.\" Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH TKDIFF 1 "May 28, 2008"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh disable hyphenation
+.\" .hy enable hyphenation
+.\" .ad l left justify
+.\" .ad b justify to both left and right margins
+.\" .nf disable filling
+.\" .fi enable filling
+.\" .br insert line break
+.\" .sp <n> insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+tkdiff \- view the differences between two files
+.SH SYNOPSIS
+.B tkdiff
+.RI [OPTION]... [FILES...]
+.SH DESCRIPTION
+.B tkdiff
+is a graphical front-end for the standard Unix 'diff' utility.
+.PP
+Its features include highlighted difference regions (with a quick
+overview/navigation bar) and linked scrolling of files. It provides
+file-merge and change-summary facilities, line number toggling (for easier
+cut & paste) and support for Subversion, RCS, CVS and SCCS.
+.PP
+.\" TeX users may be more comfortable with the \fB<whatever>\fP and
+.\" \fI<whatever>\fP escape sequences to invode bold face and italics,
+.\" respectively.
+.SH OPTIONS
+.TP
+.B \-rREV
+diff against revision REV
+.TP
+.B \-a ANCESTORFILE
+.TP
+.B \-o MERGEOUTPUTFILE
+Output to MERGEOUTPUTFILE
+.TP
+.B \-L LEFT_FILE_LABEL [-L RIGHT_FILE_LABEL]
+Label left and right file windows respectively.
+.TP
+.B \-h, \-\-help
+Show summary of options.
+.SH EXAMPLES
+.PP
+Interactive selection of files to compare:
+.br
+ tkdiff
+
+Plain files:
+.br
+ tkdiff FILE1 FILE2
+.PP
+Plain file with conflict markers:
+.br
+ tkdiff \-conflict FILE
+.PP
+Source control (AccuRev, BitKeeper, CVS, Subversion, Perforce, PVCS,
+RCS, SCCS, ClearCase)
+.br
+ tkdiff FILE
+.br
+ tkdiff \-rREV FILE
+.br
+ tkdiff \-rREV1 \-rREV2 FILE
+.br
+ tkdiff OLD-URL[@OLDREV] NEW-URL[@NEWREV] (Subversion)
+.PP
+.SH SEE ALSO
+.BR diff (1)
+.br
+.SH AUTHOR
+tkdiff was written by John M. Klassa.
+.PP
+This manual page was written by Barry deFreese <bdefreese@comcast.net>,
+for the Debian project (but may be used by others).
diff --git a/development/tkcvs/tkdiff.desktop b/development/tkcvs/tkdiff.desktop
new file mode 100644
index 0000000000..32075e4c79
--- /dev/null
+++ b/development/tkcvs/tkdiff.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=tkdiff
+Comment=Graphical Interface to the standard Unix 'diff' utility
+Exec=tkdiff
+TryExec=tkdiff
+Icon=tkdiff.png
+Terminal=false
+Type=Application
+Categories=Application;Development;
+StartupNotify=false
+Encoding=UTF-8
diff --git a/development/tkcvs/tkdiff.png b/development/tkcvs/tkdiff.png
new file mode 100644
index 0000000000..f349080529
--- /dev/null
+++ b/development/tkcvs/tkdiff.png
Binary files differ